osm-gps-map

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

osm-gps-map

Dan-41
I am running gramps ver. 4.2.5 on linux mint 18.

When gramps is booted I was originally getting two error messages. One
was about GExiv2 and the other about osm-gps-map.  I seem to have
corrected the first message but I am unsure exactly what to do for
osm-gps-map.  The message notes GEPS_029 which is closed so I am a bit
confused.

It seems that I will need to compile it but I would appreciate some
advice since I have never done this before.  I am actually looking
forward to learning how to compile but am unfamiliar with git and have
questions about which directory to work in and etc.

Can someone please point me in the right direction?

Thanks.

Dan

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org
Reply | Threaded
Open this post in threaded view
|

Re: osm-gps-map

Philippe Couka
Hi

Use synaptic, select and install gir1.2-osmgpsmap-1.0

Best regards

Philippe Couka
[hidden email]

2017-06-08 12:30 GMT+02:00 bubba <[hidden email]>:
I am running gramps ver. 4.2.5 on linux mint 18.

When gramps is booted I was originally getting two error messages. One was about GExiv2 and the other about osm-gps-map.  I seem to have corrected the first message but I am unsure exactly what to do for osm-gps-map.  The message notes GEPS_029 which is closed so I am a bit confused.

It seems that I will need to compile it but I would appreciate some advice since I have never done this before.  I am actually looking forward to learning how to compile but am unfamiliar with git and have questions about which directory to work in and etc.

Can someone please point me in the right direction?

Thanks.

Dan

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org
Reply | Threaded
Open this post in threaded view
|

Re: osm-gps-map

Philippe Couka
Hi

I think it should be written somewhere that the following packages are required for a fully fonctional gramps installation

- graphviz
- python3-pygraphviz
- gir1.2-goocanvas-2.0
- python-pygoocanvas
- gir1.2-osmgpsmap-1.0

and those suggested when installing these packages

Best regards


Philippe Couka


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org
Reply | Threaded
Open this post in threaded view
|

Re: osm-gps-map

prculley
I've added this to the README.md file that comes with Gramps.  I'll see if we can get this somewhere on the wiki as well.

Paul C.

On Thu, Jun 8, 2017 at 7:20 AM, Philippe Couka <[hidden email]> wrote:
Hi

I think it should be written somewhere that the following packages are required for a fully fonctional gramps installation

- graphviz
- python3-pygraphviz
- gir1.2-goocanvas-2.0
- python-pygoocanvas
- gir1.2-osmgpsmap-1.0

and those suggested when installing these packages

Best regards


Philippe Couka


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org